Subject: [TR] Buying parts from England

From: John Macartney <[email-masked]>
Date: Sun, 18 Jan 2026 22:00:51 +0000

It can be a muddy scene for those that outsource from the UK. Many years ago when I ran a major UK parts supplier who shipped globally, it was normal practice to provide a shipping invoice when the goods left the UK. That invoice was in sterling and showed the selling price for the parts plus actual shipping cost. Import duties (aka tariffs) were calculated at the port of arrival in the destination country for the buyer to pay in advance of receiving the goods. There is no way that I can see why the shipper (Rimmers, Paddocks, Racetorations, whoever) should be expected to include US duties on the sales invoice because to whom would they pay it? Can’t see any US government department attempting to charge a UK seller for US duties as such an attempt would be refused on principle and whose preferred Dollar/Pound exchange rate would be used? Yes, we’ll certainly sell to you in dollars but be assured, the exchange rate will be very heavily weighted in our favour, not yours - and there is no reason, need or justification to calculate US duties into the sale price. Who would collect it and why should we collect those duties on the buyers behalf or that of the US government?
The way things are going at the moment between the UK/EU governments in their head to head dealings with the White House, it’s highly likely the US will hit all of us this side o’t pond with at least another 25% duty on UK/EU sourced products and we’ll probably do the same the other way about ‘ere long. Bad news for Jaguar Land Rover sales, the Scottish Whisky industry and all our other US exports. Bad news too for all the stuff we import from the US as it’ll likely get hit with the same percentage “uplifts” and suffer boycotts. I think I’d open up an import centre north of the border with Canada and drive there to fetch what you want to buy. But keep a close watch on the two differing dollar exchange rates and their interactions with the Pound which is slowly getting stronger each week. You could lose your financial shirt unless you’re ultra vigilant!

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]